import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterGetPaymentOverviewInfo = createAsyncThunk(
  "SLAUGHTER_GET_PAYMENT_OVERVIEW_INFO",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("kill_house_wage_dashbord/");
    dispatch(LOADING_END());
    return { data, status };
  }
);
